# typography.css

CSS Framework for Web Typography

## Installation

via **npm**:

```shell
$ npm install typography.css --save-dev
```

via **yarn**

```shell
$ yarn add typography.css --dev
```

## Usage

### Pre-built CSS

```html
<div class='typography'>
  <!-- typography.css only applies here  -->
</div>

<link rel="stylesheet" href="https://unpkg.com/typography.css/dist/typography.css">
```

### SCSS

```scss
/* Override typography.css Variables before importing it */
@import 'typography`
```

The variables are listed in [src/scss/_variables.scss](https://github.com/MunifTanjim/typography.css/blob/master/src/scss/_variables.scss) file.

## Related Projects

- **[Gutenberg](https://github.com/matejlatin/Gutenberg)**: typography.css is heavily inspired by Gutenberg
- **[Modular Scale](http://www.modularscale.com)**

## Changelog

[Changelog for typography.css](https://github.com/MunifTanjim/typography.css/blob/master/CHANGELOG.md)

## License

Licensed under the MIT License. Check the [LICENSE](https://github.com/MunifTanjim/typography.css/blob/master/LICENSE) file for details.
